> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sudoapp.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get supported models



## OpenAPI

````yaml https://sudoapp.dev/api/openapi.json get /v1/models
openapi: 3.1.0
info:
  title: sudo-api
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security:
  - api_key: []
  - privy_token: []
tags:
  - name: Sudo API
    description: 'Sudo: The Unified AI Developer Platform'
paths:
  /v1/models:
    get:
      tags:
        - System
      summary: Get supported models
      operationId: get_model_summaries
      responses:
        '200':
          description: Supported models retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelSummaryList'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api_key: []
components:
  schemas:
    ModelSummaryList:
      type: object
      required:
        - data
        - first_id
        - has_more
        - last_id
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ModelSummary'
        first_id:
          type: string
        has_more:
          type: boolean
        last_id:
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
    ModelSummary:
      type: object
      required:
        - created_at
        - sudo_model_id
        - model_name
        - model_provider
      properties:
        created_at:
          type: string
          format: date-time
        model_name:
          type: string
        model_provider:
          type: string
        sudo_model_id:
          type: integer
          format: int32
    ErrorDetail:
      type: object
      required:
        - message
        - type
      properties:
        message:
          type: string
        type:
          type: string

````